<%  ' Module: RemoteControlSession.asp
	'
	' Description: Display the Remote Control (Cross Loop) installation and configuration page
	'
	' (C) 2000-2008 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'10/11/99	SAV		Created original template file
	'10/23/2008	SAV		Created modules RemoteControlSession.asp
%>

<% 'Define the DSN for this database %>
<% ' Define the three rotating colors for the category lists
	Color1 = "#F02020" ' Red color
	Color3 = "#A52a2a" ' Brown
	Color2 = "#778899"	' lightslategray
%>
<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- do not include FILE="Adovbs.inc" as it will cause double definition-->



<%	' Display the Main body of the page %>

<!-- #INCLUDE FILE="CCHeader.inc" -->
<br>
<center>
<span class=Customer-Screen-Title> Remote Control Session</span><P>


<table width=800 border=0> <open outer framing table -->
<tr>
<td  class=formboxholder >

<B>Overview:</b><br>

Web+Center's Remote Control Session utility was developed and licensed with permission
from CrossLoop (<a href=http://www.crossloop.com target = new>www.crossloop.com</a>).

<P>This remote control program simplifies the process of securely working with clients located in different
physical locations and across different network environments.
CrossLoop enables you to see the screen and control the mouse and keyboard on a remote computer.
It is as if you are working side by side at the same PC.

<P> Cross Loop now offers a MAC version of their free remote control utility so you can provide
technicial service for MAC users. The download and installation information links
for the MAC version are listed
below but not included with our download.  Please visit the <a href=http://www.crossloop.com>Crossloop.com</a>
website if the download and install guide links are no longer current.

<UL>
<LI> <a href=http://download.crossloop.com/Mac/CrossLoop.dmg?1248988406167> Download Cross Loop For MAC</a>
<LI> <a href=http://www.crossloop.com/download/mac_install.jsp>MAC installation instructions</a>
</ul>



<P>
You can get up and running with CrossLoop in under 2 minutes.
Simply download and install the application and it will automatically configure itself to your network environment.
<P>
<B>PC Requirements:</b><Br>

<P>
CrossLoop requires Windows 2000 or newer, including Vista; 128 MB RAM or greater; 2 MB hard drive space and a broadband internet connection

<P>

<B>MAC Requirements:</b><Br>
CrossLoop requires OSX 10.4 (Tiger) or later, an Intel processor, 20MB
disk space and 500MB of RAM. CrossLoop will not work on a PowerPC Mac

<P>

<B> Basic Steps to running the Remote Control Session</b>:
<UL>
<LI> Step 1: Download and install the CrossLoop utility
<LI> Step 2: Contact your support organization to have a technician launch a CrossLoop utility to connect to your PC
<LI> Step 3: Launch your crossloop utility once your support staff is ready to remotely connect
<LI> Step 4: Share the access codes to enable your PC to share with support technicians

</ul>

<B> Detailed Steps for PC installation </b>:

<ul>

<LI> Step 1:

Click on one of the two links below to download the Remote Control utility from your own support organization or
from the CrossLoop site.
<P>


<a href = "/<%=WCLanguageDirectory%>/CrossLoopSetup_ISSINC.exe"> Click here to download from your support organization's website</a>


<br><br>

OR

<br>


<a href = "http://download.crossloop.com/Distro/ISSINC/CrossLoopSetup_ISSINC.exe"> Click here to download from CrossLoop</a>

<br>
<br>

<LI> Step 2: When the cross loop download begins, click "Run" in each of the windows that appear.
<br>
<br>

<center>
<img src="/<%=WCLanguageDirectory%>/remotecontroldownload1.jpg">
</center>
<br>
<br>
<center>

<img src="/<%=WCLanguageDirectory%>/remotecontroldownload2.jpg">
</center>

<br>
<br>
<center>

<img src="/<%=WCLanguageDirectory%>/remotecontroldownload3.jpg">
</center>
<br>
<br>


<LI> Step 3: Select the appropriate language to use during installation.
<br>
<br>
<center>

<img src="/<%=WCLanguageDirectory%>/remotecontroldownload4.jpg">
</center>
<br>
<br>

<LI> Step 4: Click Next on the Setup Dialog box page.
<br>
<br>
<center>

<img src="/<%=WCLanguageDirectory%>/remotecontroldownload5.jpg">
</center>
<br>
<br>

<LI> Step 5: Accept the License Agreement and press Next.

<LI> Step 6: Select additional task as needed such as desktop icon and quick launch.


<LI> Step 7: Click Finish to complete your installation.
<br>
<br>
<center>

<img src="/<%=WCLanguageDirectory%>/remotecontroldownload6.jpg">
</center>
<br>
<br>

<LI> Step 8: It will automatically launch CrossLoop on your computer.  The first window that appears will ask  if you
have a CrossLoop account.  You have three options. (1) You can create an account, (2) Login if you have an existing account or (3)
your can click the <b>Skip</b> link in the bottom right hand corner.  <B>A CrossLoop account IS NOT
necessary to use the remote control utility</b>.
<br>
<br>
<center>

<img src="/<%=WCLanguageDirectory%>/remotecontroldownload8.jpg">
</center>
<br>
<br>


<LI> Step 9: The CrossLoop remove control application will appear with two tabs labeled "Access" and "Share".
To share your PC desktop to a support technician, click on the <B>Share</b> Tab.  Enter your name in the Name field
if it has not already being filled in for you. The figure below shows the name "Bob Smith" as an example.

<br>
<br>

<center>
<img src="/<%=WCLanguageDirectory%>/remotecontroldownload9.jpg">
</center>
<br>
<br>


<LI> Step 10: Contact (telephone, email, text chat, etc) your support technician and provide
the 12 digit number in the Access code field on <U>your Share Tab </u>(for example 1242 9457 9937)
and then press Connect when the techncian has also entered the Access code you have provided to them into their
CrossLoop application. This access code is randomly generated each time the application is
launched providing a more secure and permission based session.   Providing the access code to the technician
does not allow them to access your machine at any time in the future.
<Br>
<br>



<LI> Step 11: The support technician will bring up a CrossLoop client program too.  They will click
on the Access tab
and enter the Access code provided by you.  Once both the customer and technician have pressed the
Connect button, a dialog box will appear for the customer which you must click the YES
box to grant permission for the
technician to access your computer.  Once connected, you can drive the mouse / keyboard and it will be viewable on
the technicians computer or the technician can drive the mouse / keyboard too.





<br>
<br>

<center>

<img src="/<%=WCLanguageDirectory%>/remotecontroldownload12.jpg">
</center>

<br>
<br>

<I> Note: You may encounter an "Windows Security Alert" when you try and launch this program that
may prevent it from running or enabling all of its features.  Simply click the <B>Unblock</b> button to allow this
program to run.</I>
<br>
<br>
<Center>
<img src="/<%=WCLanguageDirectory%>/alertbox.jpg">
</center>


<br>
<br>

<LI> Step 12: The remote session can be terminated by either side by clicking on the red <B>Disconnect</b> button.

<br>
<br>
<center>

<img src="/<%=WCLanguageDirectory%>/remotecontroldownload13.jpg">
</center>

<br>
<br>

<LI> Step 13:  If you experience problems connecting, please visit the CrossLoop resources which include information
on common firewall blocking application and the other error messages.

	<UL>
	<LI> <a href=http://www.crossloop.com/pdf/CrossLoopGettingStartedGuide03202008.pdf> CrossLoop Getting Started Guide (PDF)</a>
	<LI> <a href=http://www.crossloop.com/ipage.htm?id=howitworks>How it works technical information</a>
	</ul>

</ul>



</td> <!-- close outer framing table -->
</tr>
</table>

<p>
<center>
<a href="default.asp"><img src="/<%=WCLanguageDirectory%>/c_cancel30x80.gif" border=0></A>
</center>
<P>



<!-- #INCLUDE FILE="CCFooter.inc" -->


