<% 'Module: CustomerOptions.asp

   ' Description: This module displays the customer options page
   ' after they have logged in.

   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '3/27/00	SAV		Created original Options Page

	' Instructions to customized for your own web site:
	' This page and all of the Customer+Center web pages are
	' defined to be tightly integrated with your current
	' web site.  Simply edit the CCHeader.inc module
	' to re-define the Top header and left side bar navigation
	' or edit the CCFooter.inc module to change the
	' the footer links to your specific web site.
	'
	' Refer to the Web+Center User guide on how to customize the
	' the Customer to be integrated with your current site.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<% '<!-- #INCLUDE FILE="Adovbs.inc" --> %>


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if user has logged in and set the
	' appropriate cookie.  If not, we could send emails to the set up
	' administrator.
	CookieID = Request.Cookies("ISS_CUSTOMER") ' Get the Logged TechID from the cookie

 %>


<% if CookieID = "" Then %>
	<% ASPPage = "CustomerOptions.asp"%>
	<% ' Send out an invalid customer page to the user warning of
		' they should not attempt to change the URLs
	%>

	<!-- #include file=Invalidcustomer.inc-->

<%Else ' Otherwise display the customer options page %>

<% ' Put all of your custom web site changes into CCHeader.inc %>

<!-- #INCLUDE FILE="CCHeader.inc" -->




<center>


<% 'Get the Configuration Information
	' FIRST Get the values from the configuration file and into variables

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

	' Cursor type needs to be specified and use rstemp.open

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3


	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File

		TextBoxSizing = rstemp("Text_Box_Sizing")
		CasesummaryRows = rstemp("case_summary_rows")
		CasesummaryMaxRows = rstemp("case_summary_Max_Rows")
		CaseResolutionRows = rstemp("case_resolution_rows")
		CaseResolutionMaxRows = rstemp("Case_resolution_Max_Rows")
		CaseHistoryRows = rstemp("Case_History_Rows")
		CaseTextBoxColumns = rstemp("Case_Text_Box_Columns")
		TimeZoneAdjustment = rstemp("Time_zone_Adjustment")
		TimeZoneLabel = rstemp("Time_zone_Label")
		Language = rstemp("Language")
		ALLKBUpdate = rstemp("All_KB_Update")
		TimeSpentCategory = rstemp("Time_Spent_Category")
		TimeSpentInterval = rstemp("Time_Spent_Interval")
		DateDisplayFormat = rstemp("Date_Display_Format")
		MaxHistorySize =  rstemp("max_case_history_size")
		'Response.write "MaxCAseHistorySize=	" & MaxHistorySize

		MaxHistorySize =  CLng(rstemp("max_case_history_size"))
		MaxSummarySize =  Cint(rstemp("max_case_summary_size"))
		MaxResolutionSize =  Cint(rstemp("max_case_resolution_size"))

		'Response.write "MaxResolutionSize=	" & MaxResolutionSize

		smtp_host_address = rstemp("smtp_host_address")
		Standard_reply_to_address = rstemp("Standard_reply_to_address")
		Customer_case_notify = CInt(rstemp("customer_case_notify"))
		UserPageColor = rstemp("ts_user_page_color")

 ' Get virtual directory and upload physical directories from configuration tables


	FileUpLoadDestinationPath = rstemp("FileUploadPhysicalPath") ' Set this to your full destination path

	FileUploadVirtualDirectory = rstemp("FileUploadVirtualDirectory") ' You must configure this virtual in IIS - Allow read ONLY!
	' For security reasons, do not allow FileVirtualDirectory Script or execute permissions

	FileUploadMaximumSize = rstemp("MaxFileUploadSize") ' Maximum Allowed download file size in bytes

	If FileUploadMaximumSize = "" Then
		FileUploadMazimumSize = 0
	End If

	RenameUploadFile = rstemp("RenameUploadFile") ' Boolean if to rename files based on case num
	If RenameUploadFile = True Then
		FileRenameOption  = "YES"
	End IF

	CustomerCenterFileUpload = rstemp("CustomerCenterFileUpload")
	' Boolean determining if file upload is enabled on customer side.

	If CustomerCenterFileUpload = True then
		'Response.write "CustomerCenterFileUpload = True"
		AttachFile = "YES"
	End If

	CustomerAssetsearch = rstemp("CustomerAssetsearch")
	' This define if the customers can only view their own assets or
	' search for any asset.

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	End If


%>

<%
	' This gets the cookie that has been set up Login and uses that
	' cookie to create links to various options including
	' Contact Info, Case info and current case window.
	' The options page has three parts:
	' (1) Top banner button panel
	' (2) List of cases (open), (closed) or (opened and closed)
	' (3) Current case window. (New or update)
%>


<% ' Check to see if this page is called from a link to
 	' display the cases with a special sort order

	If Action = "" Then
		LinkAction = Request.querystring("ViewLink")
	End IF

		If LinkAction = "SHOWALLCASES" THen
			Action = wc_Show_All_Cases
		End If

		If LinkAction = "SHOWOPENCASES" THen
			Action = wc_Show_Open_Cases
		End If

		If LinkAction = "SHOWCLOSEDCASES" Then
			Action = wc_Show_Closed_Cases
		End If

		If LinkAction = "SHOWALLOPENGROUPCASES" Then
			Action = wc_Show_All_Open_Group_Cases
		End If

		If LinkAction = "SHOWALLGROUPCASES" Then
			Action = wc_Show_All_Group_Cases
		End If

		If LinkAction = "SHOWALLCLOSEDGROUPCASES" Then
			Action = wc_Show_All_Closed_Group_Cases
		End If


		If LinkAction = wc_Start_Text_Chat_Support_Session Then
			Action = wc_Start_Text_Chat_Support_Session
		End If



	If Action = "" and InitialAction = "SHOWOPENCASES" Then
			Action = wc_Show_Open_Cases
	End If





%>

	<% ' Decide what action is requested then display that option

	If Action = wc_Show_Open_Cases OR Action = wc_Show_All_Cases OR Action = wc_Show_Closed_Cases OR Action = wc_Show_All_Open_Group_Cases OR Action = wc_Show_All_Group_Cases OR Action = wc_Show_All_Closed_Group_Cases Then
		DisplayCases(Action)
	end If

	If Action = wc_Create_New_Case Then
		DisplayCaseForm CaseNumber, 0
	End IF

	If Action = "UpdateCase" Then
		DisplayCaseform DisplayCase, Asset_number
	End If

	If Action = wc_Update_Registration Then
	%>
		<!-- #INCLUDE FILE="Registration.asp" -->
	<%End If%>


<% ' Put all of your custom web site footer changes into CCFooter.inc %>

<!-- #INCLUDE FILE="CCFooter.inc" -->

<%End If ' End if CookieID <> "" %>

<% ' End of output HTML %>



<%'	****************** Subroutine Display Cases *****************
Sub DisplayCases(CaseView)
	' This function displays the cases for the customer.
	' It is passed a caseview variable that contains one of
	' of the following case views:
	'	Show All Cases - Show open and closed cases
	'	Show Open Cases - only show open cases
	' 	Show Closed Cases - only show closed cases
	' 	Show All Open Group Cases - show group open cases
	' 	Show All Group Cases - Show group cases
	' 	Show All Closed Group cases

	' Get the customer_ID from cookie

	Customer_ID =  Request.Cookies("ISS_Customer")

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	If CaseView = wc_Show_All_CASES Then
		CaseViewLink = "SHOWALLCASES"
		mySQL="select * from Cases where customer_ID = '" & customer_ID & "'"
	End If

	If CaseView = wc_Show_Open_CASES Then
		CaseViewLink = "SHOWOPENCASES"
		mySQL="select * from Cases where customer_ID = '" & customer_ID & "' AND Status <> 1  "
	End If

	If CaseView = wc_Show_Closed_CASES Then
		CaseViewLink = "SHOWCLOSEDCASES"
		mySQL="select * from Cases where customer_ID = '" & customer_ID & "' AND Status = 1  "
	End If

	If CaseView = wc_Show_All_Open_Group_Cases Then
		CaseViewLink="SHOWALLOPENGROUPCASES"
		mySQL = "SELECT Cases.case_number, Cases.customer_id, Cases.customer_id, Cases.case_one_line, Cases.status, Customers.company, EmailCategory.EmailCategory, EmailCategoryLinks.EmailCategoryID FROM EmailCategory INNER JOIN ((Cases INNER JOIN Customers ON Cases.customer_id = Customers.customer_id) INNER JOIN EmailCategoryLinks ON Customers.customer_id = EmailCategoryLinks.Customer_ID) ON EmailCategory.EmailCategoryID = EmailCategoryLinks.EmailCategoryID "
		mySQL = mySQL & " Where Status <> 1 And EmailCategoryLinks.EmailCategoryID = " & ViewEmailCategoryID
	End IF

	If CaseView = wc_Show_All_Group_Cases Then
		CaseViewLink = "SHOWALLGROUPCASES"
		mySQL = "SELECT Cases.case_number, Cases.customer_id, Cases.customer_id, Cases.case_one_line, Cases.status, Customers.company, EmailCategory.EmailCategory, EmailCategoryLinks.EmailCategoryID FROM EmailCategory INNER JOIN ((Cases INNER JOIN Customers ON Cases.customer_id = Customers.customer_id) INNER JOIN EmailCategoryLinks ON Customers.customer_id = EmailCategoryLinks.Customer_ID) ON EmailCategory.EmailCategoryID = EmailCategoryLinks.EmailCategoryID "
		mySQL = mySQL & " Where  EmailCategoryLinks.EmailCategoryID = " & ViewEmailCategoryID

	End IF

	If CaseView = wc_Show_All_Closed_Group_Cases Then
		CaseViewLink = "SHOWALLCLOSEDGROUPCASES"
		mySQL = "SELECT Cases.case_number, Cases.customer_id, Cases.customer_id, Cases.case_one_line, Cases.status, Customers.company, EmailCategory.EmailCategory, EmailCategoryLinks.EmailCategoryID FROM EmailCategory INNER JOIN ((Cases INNER JOIN Customers ON Cases.customer_id = Customers.customer_id) INNER JOIN EmailCategoryLinks ON Customers.customer_id = EmailCategoryLinks.Customer_ID) ON EmailCategory.EmailCategoryID = EmailCategoryLinks.EmailCategoryID "
		mySQL = mySQL & " Where Status = 1 And EmailCategoryLinks.EmailCategoryID = " & ViewEmailCategoryID

	End IF

	' Add order clause

	SortBy = Request.querystring("Sort") ' Get passed sort parameter
	If SortBy = "" Then
		SortSQL = " Order by Cases.Case_Number desc"
		Sortby= "CASEDEC"
		NewPage = "YES"
	elseif Sortby = "CASEASC" AND NewPage <> "YES" Then
		SortSQL = " Order by Cases.Case_Number ASC"
	elseif Sortby = "CASEDEC" AND NewPage <> "YES" Then
		SortSQL = " Order by Cases.Case_Number desc"
	elseif Sortby = "ONE_LINEDEC" Then
		SortSQL = " Order by Cases.Case_One_Line desc"
	elseif Sortby = "ONE_LINEASC" Then
		SortSQL = " Order by Cases.Case_One_Line"
	elseif Sortby = "STATUSASC" Then
		SortSQL = " Order by Cases.Status"
	elseif Sortby = "STATUSDEC" Then
		SortSQL = " Order by Cases.Status DESC"

	elseif Sortby = "CUSTOMER_IDASC" Then
		SortSQL = " Order by Cases.Customer_id"
	elseif Sortby = "CUSTOMER_IDDEC" Then
		SortSQL = " Order by Cases.Customer_ID DESC"

	End IF

		mySQL = mySQL & SortSQL

	'Response.write "SQL=" & mySQL

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
%>
	<center>
	<table class=BGWrapper cellpadding=0 cellspacing=0>
	<tr>
	   <td class=minorscreentitle><%=wc_Click_On_Block%></td>
	</tr>
	<tr>
	   <td class=minorscreentitle><%=wc_Click_on_column_heading%></td>
	</tr>
	</table>

	<p>

	<table width=650 class=tighttablewrapper cellspacing=1>
	<tr>
		<% If SortBy = "CASEASC" OR SortBy = "CASEDEC" Then %>
		<td align=center class=columnlabelhilight>
		<%Else%>
		<td align=center class=columnlabel>
		<%End If %>


<%
	Casesortby = "CASEDEC"
	If SortBy = "CASEASC" Then
		 Casesortby = "CASEDEC" ' case descending
	ElseIf Sortby = "CASEDEC" Then
		CasesortBy = "CASEASC"
	End If

%>

	<a href=CustomerOptions.asp?Viewlink=<%=CaseViewLink%>&Sort=<%=CasesortBy%>><%=wc_Case%></a>

	</td>

	<% ' Check if Group Cases then display customer info in table %>
	<% If InStr(CaseView, "Group") <> 0 Then %>

	<%
		Customersortby = "CUSTOMER_IDASC"
	If SortBy = "CUSTOMER_IDASC" Then
			Customersortby = "CUSTOMER_IDDEC"
		ElseIf Sortby = "CUSTOMER_IDDEC" Then
			Customersortby = "CUSTOMER_IDASC"
		End If
	%>

		<% If SortBy = "CUSTOMER_IDASC" OR SortBy = "CUSTOMER_IDDEC" Then %>
		<td  class=columnlabelhilight>
		<%Else%>
		<td  class=columnlabel>
		<%End If %>


	<a href=CustomerOptions.asp?Viewlink=<%=CaseViewLink%>&Sort=<%=CustomersortBy%>><%=wc_Customer_ID%></a>
		</td>
	<%End IF%>

	<%
		OneLineSortby = "ONE_LINEASC"
	If SortBy = "ONE_LINEASC" Then
			OneLineSortby = "ONE_LINEDEC"
		ElseIf Sortby = "ONE_LINEDEC" Then
			OneLineSortby = "ONE_LINEASC"
		End If
	%>



		<% If SortBy = "ONE_LINEASC" OR SortBy = "ONE_LINEDEC" Then %>
		<td  class=columnlabelhilight>
		<%Else%>
		<td  class=columnlabel>
		<%End If %>

	<a href=CustomerOptions.asp?Viewlink=<%=CaseViewLink%>&Sort=<%=OnelineSortBy%>><%=wc_One_Line_Description%></a>

	</td>

	<% 	StatusSortby = "STATUSASC"
	If SortBy = "STATUSASC" Then
			StatusSortby = "STATUSDEC"
		ElseIf Sortby = "STATUSDEC" Then
			StatusSortby = "STATUSASC"
		End If
	%>


		<% If SortBy = "STATUSASC" OR SortBy = "STATUSDEC" Then %>
		<td  class=columnlabelhilight>
		<%Else%>
		<td  class=columnlabel>
		<%End If %>

	<a href=CustomerOptions.asp?Viewlink=<%=CaseViewLink%>&Sort=<%=StatusSortBy%>><%=wc_Status%></a>
	</td>

	</tr>


<%
	If  rstemp.eof then ' Check to see any Cases exist
		response.write "<tr><td height=20 colspan=3 align=center class=tightbodytext>" & wc_No_Cases_found & "</td></tr>"
	Else

		Do While rstemp.EOF <> True
	%>

				<tr height=20><td align=center class=tightbodytext>
				<a href=DoCustomerOptions.asp?DisplayCase=<%=rstemp("Case_Number")%>>
				<%=rstemp("Case_number")%></a>
				</td>
	<% If InStr(CaseView, "Group") <> 0 Then %>
				<td class=tightbodytext>
				<%=rstemp("customer_ID")%>
				</td>
	<%End If %>

	<%
	    holder = rstemp("case_one_line")
	    if Len(holder) > 80 Then
	       holder = Left(Holder,70) & "..."
	    end if
	%>


				<td class=tightbodytext>
				<%=holder%>
				</td>
				<td class=tightbodytext>

				<% '-->AKS<-- Casting using CINT Needed.
					If CInt(rstemp("status")) = 1 then
						Response.write "<font  color=red>" & wc_Closed & "</font>"
					Elseif  CInt(rstemp("status")) = 0 then
						Response.write "<font  color=green>" & wc_Open_Active & "</font>"
					Elseif  CInt(rstemp("status")) = 2 then
						Response.write "<font  color=green>" & wc_Open_Waiting & "</font>"
					Elseif  CInt(rstemp("status")) = 3 then
						Response.write "<font  color=green>" & wc_Open_On_Hold & "</font>"

					End If
				%>
				</td></tr>

<%
			rstemp.movenext
		loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>

	</table>
	</center>

<% End Sub ' End of Display Cases Subroutine %>

<% ' ********** Subroutine Display CaseForm*******************
	Sub DisplayCaseForm(CaseNumber, Asset_number)

%>


<%

    widthpercent =  "40%"
    spacerheight = "5"

	' Get the case information if not a new case

	If caseNumber <> "" Then
		set conntemp=server.createobject("adodb.connection")

		If DatabaseType <> "ACCESS97" Then
			conntemp.CursorLocation = adUseClient
		End If

		conntemp.open myDSN

		mySQL="select * from Cases where case_number = " & caseNumber

		'***** Important Fix - June 19, 2003******
		' This conntemp.execute(mySQL) fails for some data fetching
		' under SQL*server only!  Statement converted to open record set call'

		'set rstemp=conntemp.execute(mySQL)  - OLD WAY DO NOT USE

		set rstemp = server.createobject("adodb.recordset")
		rstemp.open mySQL, conntemp, 1,3


		Case_one_line = rstemp("Case_one_line")
		Case_History = rstemp("Case_History")
		Case_Summary = rstemp("case_summary")
		Case_Resolution = rstemp("case_resolution")
		Status = rstemp("Status")
		Asset_Number = rstemp("asset_number") ' override passed value

		' Check for any optional text field values

		Field_1_Value = rstemp("text_field_1")
		Field_2_Value = rstemp("text_field_2")
		Field_3_Value = rstemp("text_field_3")
		Field_4_Value = rstemp("text_field_4")
		Field_5_Value = rstemp("text_field_5")
		Field_6_Value = rstemp("text_field_6")
		Field_7_Value = rstemp("text_field_7")
		Field_8_Value = rstemp("text_field_8")
		Field_9_Value = rstemp("text_field_9")
		Field_10_Value = rstemp("text_field_10")


		' Do Not close the recordset or connection yet since we will
		' need it for displaying the categories

'		rstemp.close
'		set rstemp=nothing


		'conntemp.close ' Close the connection
		'set conntemp=nothing

	End If ' End if CaseNumber <> ""

%>


<center>

	<form action=DoCaseForm.asp method=post>

<table class=outerformwrappertight cellspacing=0 cellpadding=0 width=650><!---------- outer form wrapper ----------------- -->
<tr>
<td>


<table  class=innerformwrapper cellspacing=0 cellpadding=0 width=100% >
<tr >
<td colspan=2>

<center>
<!-- ---------------------------------------------- -->
<table width=100% cellpadding=0 cellspacing=0 >
<tr>
<td width=70% class=MinorScreenTitle align=center>
<font color=red>
<% If CaseNumber = "" Then
		response.write wc_New_Case
	Else
		response.write wc_Support_Case_Update

	End If
%>

</font>
</center>

</td>
<td class=MinorScreenTitle>

<font color=red>
<% If CaseNumber = "" Then
		response.write wc_New_Case
	Else
		response.write  caseNumber

	End If
%>
</font><br>
<%  '-->AKS<-- Needed CINT below
	Status = CInt(Status)
	If Status = "" OR Status <> 1 Then
		response.write "<span class=formlabelsuper>" & wc_Status & ": </span>" &  wc_Open
	Else
		Response.write "<span class=formlabelsuper>" & wc_Status & ": </span>" &  wc_Closed
	End If
%>

</td></tr>
</table>




	<% If CaseNumber <> "" Then%>
		<input name=case_number type=hidden value=<%=CaseNumber%>>
	<% End If %>

	<% ' Display the asset component search button here if the asset db
		' is enabled.  If you only want techs to use the Asset DB
		' then comment out this section of code

		If GetDatabaseConfiguration(AssetDB) = "YES" AND CustomerAssetsearch <> "NONE" Then
	%>
	<!-- ----------------------------------------------------- -->
	<table cellpadding=0 cellspacing=0 width=100%>
	        <tr class=formlabel><td colspan=2 height=<%=spacerheight%>></td></tr>
			<tr>
			<td colspan=2 class=minorformtitle>

			<%If Asset_Number = 0 or Asset_number = "" Or Len(Asset_Number) = 0 then%>
			<%=wc_Select_an_Asset_Optional%>

			<%Else %>

				<%=wc_Asset_Number%>: <%=Asset_number%><a href=ViewAsset.asp?asset_number=<%=Asset_number%>> (<%=wc_View_Info%>)</a>
				<%' Get Info on Asset %>
				<input type=hidden name=asset_number value=<%=Asset_number%>>
				<br>
			<%End If %>


			</td>
			</tr>

			<tr class=formlabel><td colspan=2 height=<%=spacerheight%>></td></tr>

			<tr>
			<td class=formlabel> &nbsp; <%=wc_Press_Find_Asset_block%></td>

			<td class=formlabel>

		<%  '****** Customer Asset Search Options are now configured by the web/database table entries

			If CustomerAssetsearch = "CAssetsONLY" Then ' Show customer Assets only
		%>
			<a href=ShowCustomerAssets.asp?Case_Number=<%=CaseNumber%>><%=wc_Search_your_Assets%></a>
		<%Else %>
			<a href=CAssetSearch.asp?Case_Number=<%=CaseNumber%>><%=wc_Find_Asset%></a>
		<%End If %>

			</td>
			</tr>
			<tr class=formlabel><td colspan=2 height=<%=spacerheight%>></td></tr>
		</table>
<!-- ----------------------------------------------------- -->
	<% End IF ' End of if AssetDB enabled %>


	<tr>
	  <td colspan=2 class=minorformtitle><%=wc_One_Line_Description%>:</td>
	</tr>
	<tr>
	 <tr class=formlabel><td colspan=2 height=<%=spacerheight%>></td></tr>
	<td colspan=2 align=center class=formboxholder>
	<input name=Case_one_line size=80 maxlength=100 value = "<%=Case_One_Line%>">
	</td>




	<td align=left >

	</td></tr>



	<% ' Optional Row to display File Download Options %>


	<% If AttachFile = "YES" AND CaseNumber = "" Then %>
	<tr class=formlabel><td colspan=2 height=<%=spacerheight%>></td></tr>

	<tr>
	    <td class=minorformtitle colspan=2><%=wc_Attach_File_To_Case%></td>
	</tr>

	<tr class=formlabel><td colspan=2 height=<%=spacerheight%>></td></tr>

	<tr>
	    <td width=<%=widthpercent%> class=formlabel></td>
	    <td align=center class=formlabel>First enter and submit case then add attached file.</td>
	</tr>



	<%End If %>


	<% If AttachFile = "YES" AND CaseNumber <> "" Then %>
    <tr class=formlabel ><td colspan=2 height=<%=spacerheight%>></td></tr>
	<tr>
	    <td class=minorformtitle colspan=2><%=wc_Attach_File_To_Case%></td>
	</tr>

	<tr class=formlabel><td colspan=2 height=<%=spacerheight%>></td></tr>

	<tr>
	     <td width=<%=widthpercent%> class=formlabel></td>
	     <td align=center  class=formlabelsuper>
			<% If MyOS = "Windows" Then %>
			   <a href=CDownload.asp?C=<%=Casenumber%>><%=wc_Attach_File_To_Case%></a>
			<% Else %>
				 <a href=CFileUploadLinux1.asp?C=<%=Casenumber%>><%=wc_Attach_File_To_Case%></a>
			<% End if %>
	    </td>
	</tr>



	<% End If ' End if AttachFile = "YES"
	%>


	<% '********* CATEGORY DISPLAY **************************%>

	<tr><td colspan=2>

	<% ' Display the  Categories

		If Case_Number = "" Then ' Open connection if new case

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN
		End If

		mySQL2="select * from Categories where  State = 1  Order by Category_index ASC"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found then login fails.

		If  rstemp2.eof then ' Check to see any Categories exist
			' No categories exist so don't display anything here
		Else %>
	<center>

	<table class=innnerformwrapper width=100% cellspacing=0 cellpadding=0>
	<tr class=formlabel><td colspan=2 height=<%=spacerheight%>></td></tr>
	<tr><td colspan=2 class=minorformtitle><%=wc_Select_The_best_Block%>:</td></tr>
     <tr class=formlabel><td colspan=2 height=<%=spacerheight%>></td></tr>

	<%

			Category_name = rstemp2("Category_name")
			Category_number = rstemp2("Category_number")

	%>
			<tr><td align=right width=<%=widthpercent%> class=formlabel>

	<%
					response.write Category_name & ":</td><td align=left class=formboxholder>"
					response.write "<select name=c" & rstemp2("category_number") & " size = 1>"
					response.write "<option  value= ""0"">Ignore</option>"

			Do While rstemp2.EOF <> True
				'-->AKS<-- Added CINT functions to match both sides of <>.
				if CInt(rstemp2("Category_number")) <> CInt(Category_number) THEN
					    response.write "</select></td>"
						response.write "</tr>"
						Response.write "<td align=right class=formlabel>"
						Response.write rstemp2("Category_Name") & ":</td><td align=left class=formboxholder>" & chr(10)
						response.write "<select name=c" & rstemp2("category_number") & " size = 1>" & chr(10)
						response.write "<option  value=""0"" >Ignore</option>"
					Category_number = rstemp2("Category_number")
				End If

				' Checked if this option is already select for this case
				If CaseNumber <> "" Then
					'-->AKS<-- Added CInt function to match both sides of =
					If CInt(rstemp("C" & Category_number)) = CInt(rstemp2("item_number")) Then
						response.write "<option SELECTED value=" & rstemp2("item_number") & ">" & rstemp2("item_name") & "</option>" & chr(10) & chr(13)
					Else
						response.write "<option value=" & rstemp2("item_number") & ">" & rstemp2("item_name") & "</option>" & chr(10) & chr(13)
					End IF
				End If '  End of case_number <> ""

				If CaseNumber = "" Then
					response.write "<option value=" & rstemp2("item_number") & ">" & rstemp2("item_name") & "</option>" & chr(10) & chr(13)
				End If
				rstemp2.MoveNext
			Loop
			response.write "</select></td></tr></table></center>"
		End IF

		rstemp2.close
		set rstemp2=nothing

		' If Not new case then close the other record set
		If Case_Number <> "" Then
			rstemp.close ' close the original record set
			set rstemp=nothing
		End IF


		conntemp.close ' Close the connection
		set conntemp=nothing

	%>

	</td></tr>

	<% '******* DISPLAY THE OPTIONAL CASE FORM TEXT BOXES ***************************%>

	<% ' Get the values if they exist

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Case_Text_Field_Labels" ' There should be no rows or only 1

	set rstemp=conntemp.execute(mySQL)

	If rstemp.EOF <> True then
		Field_1_Label = rstemp("Field_1_Label")
		Field_2_Label = rstemp("Field_2_Label")
		Field_3_Label = rstemp("Field_3_Label")
		Field_4_Label = rstemp("Field_4_Label")
		Field_5_Label = rstemp("Field_5_Label")
		Field_6_Label = rstemp("Field_6_Label")
		Field_7_Label = rstemp("Field_7_Label")
		Field_8_Label = rstemp("Field_8_Label")
		Field_9_Label = rstemp("Field_9_Label")
		Field_10_Label = rstemp("Field_10_Label")

		Field_1_State = rstemp("Field_1_State")
		Field_2_State = rstemp("Field_2_State")
		Field_3_State = rstemp("Field_3_State")
		Field_4_State = rstemp("Field_4_State")
		Field_5_State = rstemp("Field_5_State")
		Field_6_State = rstemp("Field_6_State")
		Field_7_State = rstemp("Field_7_State")
		Field_8_State = rstemp("Field_8_State")
		Field_9_State = rstemp("Field_9_State")
		Field_10_State = rstemp("Field_10_State")

	End If


	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	' Now determine if any of the case text fields are enabled for ALL view (=2)

	If Field_1_State = 2 OR Field_2_State = 2 OR  Field_3_State = 2 OR  Field_4_State = 2 OR  Field_5_State = 2 OR  Field_6_State = 2 OR  Field_7_State = 2 OR  Field_8_State = 2 OR  Field_9_State = 2 OR  Field_10_State = 2  THEN
	' At least one field is enabled for ALL view (customer and techs) so open up table cell for it

%>
    <tr class=formlabel><td colspan=2 height=<%=spacerheight%>></td></tr>
	<tr><td  colspan=2 class=minorformtitle>Please complete the following fields:</td></tr>
	 <tr class=formlabel><td colspan=2 height=<%=spacerheight%>></td></tr>


	<% If Field_1_State = 2 Then %>
		<tr><td align=right class=formlabel width=<%=widthpercent%>><%=Field_1_Label%>:</td>
		<td align=left class=formboxholder>
		<input type=text name="text_Field_1" size=30 maxlength=100 value="<%=Field_1_Value%>">
		</td>
		</tr>
	<% End If %>


	<% If Field_2_State = 2 Then %>
		<tr><td align=right class=formlabel width=<%=widthpercent%>><%=Field_2_Label%>:</td>
		<td align=left class=formboxholder>
		<input type=text name="text_Field_2" size=30 maxlength=100 value="<%=Field_2_Value%>">
		</td>
		</tr>
	<% End If %>


	<% If Field_3_State = 2 Then %>
		<tr><td align=right class=formlabel width=<%=widthpercent%>><%=Field_3_Label%>:</td>
		<td align=left class=formboxholder>
		<input type=text name="text_Field_3" size=30 maxlength=100 value="<%=Field_3_Value%>">
		</td>
		</tr>
	<% End If %>


	<% If Field_4_State = 2 Then %>
		<tr><td align=right class=formlabel width=<%=widthpercent%>><%=Field_4_Label%>:</td>
		<td align=left class=formboxholder>
		<input type=text name="text_Field_4" size=30 maxlength=100 value="<%=Field_4_Value%>">
		</td>
		</tr>
	<% End If %>


	<% If Field_5_State = 2 Then %>
		<tr><td align=right class=formlabel width=<%=widthpercent%>><%=Field_5_Label%>:</td>
		<td align=left class=formboxholder>
		<input type=text name="text_Field_5" size=30 maxlength=100 value="<%=Field_5_Value%>">
		</td>
		</tr>
	<% End If %>


	<% If Field_6_State = 2 Then %>
		<tr><td align=right class=formlabel width=<%=widthpercent%>><%=Field_6_Label%>:</td>
		<td align=left class=formboxholder>
		<input type=text name="text_Field_6" size=30 maxlength=100 value="<%=Field_6_Value%>">
		</td>
		</tr>
	<% End If %>


	<% If Field_7_State = 2 Then %>
		<tr><td align=right class=formlabel width=<%=widthpercent%>><%=Field_7_Label%>:</td>
		<td align=left class=formboxholder>
		<input type=text name="text_Field_7" size=30 maxlength=100 value="<%=Field_7_Value%>">
		</td>
		</tr>
	<% End If %>


	<% If Field_8_State = 2 Then %>
		<tr><td align=right class=formlabel width=<%=widthpercent%>><%=Field_8_Label%>:</td>
		<td align=left class=formboxholder>
		<input type=text name="text_Field_8" size=30 maxlength=100 value="<%=Field_8_Value%>">
		</td>
		</tr>
	<% End If %>


	<% If Field_9_State = 2 Then %>
		<tr><td align=right class=formlabel width=<%=widthpercent%>><%=Field_9_Label%>:</td>
		<td align=left class=formboxholder>
		<input type=text name="text_Field_9" size=30 maxlength=100 value="<%=Field_9_Value%>">
		</td>
		</tr>
	<% End If %>


	<% If Field_10_State = 2 Then %>
		<tr><td align=right class=formlabel width=<%=widthpercent%>><%=Field_10_Label%>:</td>
		<td align=left class=formboxholder>
		<input type=text name="text_Field_10" size=30 maxlength=100 value="<%=Field_10_Value%>">
		</td>
		</tr>
	<% End If %>


	<%End If ' If no Case Text fields are enabled for customer view %>



	<% '******* END OF DISPLAY THE OPTIONAL CASE FORM TEXT BOXES ***************************%>

	<% If Case_History <> "" Then %>
	   <tr class=formlabel><td colspan=2 height=<%=spacerheight%>></td></tr>
	   <tr>
	  <td colspan=2 class=minorformtitle><%=wc_case_history%></td>
	  </tr>



	<% End If %>


	<tr>
	<td colspan=2 class=formlabel>


		<% If Case_History <> "" Then %>
		    <table width=100% cellpadding=0 cellspacing=0>
		    <tr>
		    <td > &nbsp; </td>
		    <td class=formlabel>


			<% ' Format the Text by converting the special graphics color
				' and CR to <br> and so on.

			Case_History = Format_Case_Text(Case_History)

			%>

			<%=case_History%>
			</td>
			</tr>
			</table>

		<% End If %>


	<% ' Display the history now %>
	</td>
	</tr>


<%If Status <> 1 then%>


    <tr class=formlabel><td colspan=2 height=<%=spacerheight%>></td></tr>
	<tr>
	<td colspan=2 class=minorformtitle>

	<% If Case_History = "" Then %>
		<%=wc_Describe_the_problem_Block%>:</b>
	</td>
	</tr>
	<tr>
	<td colspan=2 class=formboxholder align=center>
	<textarea rows=3 cols=80 wrap=on name = case_history></textarea>
	</td>

	</tr>




	<% Else %>
			<%=wc_Add_new_case_information_below%>:<br>
			</td>
		</tr>
		<tr>
		<td colspan=2 class=formboxholder align=center>
		<textarea rows=3 cols=80 wrap=on name = case_history></textarea>
		</td>
		</tr>
	<%End if ' If Case_History = "" %>
<% End If ' End if If  Status NE 1 %>










	<% If Case_Summary <> "" Or Case_Resolution <> "" Then %>

		<tr class=formlabel><td colspan=2 height=<%=spacerheight%>></td></tr>

		<tr>
		  <td colspan=2 class=minorformtitle><%=wc_Case_Summary%>:<td>
		</tr>
		<tr>
		  <td colspan=2 class=formlabel> &nbsp; <%= Case_Summary%></td>
		</tr>

		<tr class=formlabel><td colspan=2 height=<%=spacerheight%>></td></tr>


		<tr>
		   <td colspan=2 class=minorformtitle><%=wc_Case_Resolution%>:</td>
		</tr>
		<tr>
		  <td colspan=2 class=formlabel> &nbsp; <%= Case_Resolution%></td>
		</tr>

	<%End If ' End of If case_summary is not empty %>

	<tr class=formlabel><td colspan=2 height=<%=spacerheight%>></td></tr>

	</table>



	</td></tr></table>


<!-- end of outer wrapper --------------------------- -->

<center>

<p>

<table >

	<% ' Now display the submit buttons and cancel %>

	<tr>
	<td valign=top><input type=image src="/<%=WCLanguageDirectory%>/c_submit30x80.gif"></td>
	<td> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </td>
	<td valign=top >
	<a href=CustomerOptions.asp?ViewLink=SHOWOPENCASES><img src=/<%=WCLanguageDirectory%>/c_cancel30x80.gif border=0</a>
	</td>

	</tr>

</table>

</center>



<% End sub ' End of DisplayCaseForm() %>

<%
Function Format_Case_Text(Case_Text)

' This subroutines formats the case_text with the proper color coding conventions

NewText = Case_Text
	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;

	' We need to replace double tag characters to double brackets so we can
	' convert them back to real tags

		NewText = Replace (NewText, "<<", "[[")
		NewText = Replace (NewText, ">>", "]]")

		' Now replace regular tags with &gt; and & lt;

		NewText = Replace (NewText, "<", "&lt;")
		NewText = Replace (NewText, ">", "&gt;")


		' Now replace back the other double tags back to regular tags

		NewText = Replace (NewText, "[[", "<")
		NewText = Replace (NewText, "]]", ">")

		' Replace the special color coding characters

		NewText = Replace (NewText, "{g[", "<font color=#008000>")

		NewText = Replace (NewText, "{g[", "<font color=#008000>")

		NewText = Replace (NewText, "{r[", "<font color=#FF0000>")

		NewText = Replace (NewText, "]r}", "</font>")

		NewText = Replace (NewText, "]g}", "</font>")


'	NewText = replace(NewText, chr(13)&chr(10), "<br>")



'	NewText = replace(NewText, chr(13), "<br>")
	NewText = replace(NewText, chr(10), "<br>")
'	NewText = replace(NewText, chr(10)&chr13, "<br>")


	Format_Case_Text = NewText

End function
%>

<% Function GetDatabaseConfiguration(AssetDB)
	'This function gets the database configuration information
	' to determine if the assetdb feature is turned on.

		set conntemp3=server.createobject("adodb.connection")

		conntemp3.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp3.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			GetDatabaseConfiguration = "NO" 'Default to NO if record not found
		Else

			If 1 = rstemp2("Assets_DB") Then
			'-->AKS<-- 	If 1 = 0 Then
				GetDatabaseConfiguration = "YES"
			Else
				GetDatabaseConfiguration = "NO"
			End If

		End If

		rstemp2.close
		set rstemp2=nothing

		conntemp3.close ' Close the connection
		set conntemp3=nothing

	End Function ' End of GetdatabaseConfiguration()
	%>
