<% 'Module: RemoteControlTool.asp

   'Description: This module is the RemoteControlTool.asp Launch page
   ' so tech/users download and configure a remote control session to support clients.

   '(C) 2008 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/29/00	SAV		Created original MyInfo.asp
   '8/16/04 JC      Cloned a variant for Tech+Center
   '10/10/08 SAV	Cloned this module from TMyOptions.asp

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>


<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->



<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "RemoteControlTool.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<html>

<!-- (C) 1996,1998, 1999, 2000, 2004-2008 by Internet Software Sciences -->

<head>

<title>Remote Control Sessions</title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>








<Center>


<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed>
Remote Control Sessions
</td>
</tr>
</table>


<P>
<table class=outerformwrapper >
 <tr>
 <td>

        <center>
        <table class=innerformwrapper cellspacing=1>
        <tr>

        <td class=formlabel>
        <B>Overview:</b><Br>

Web+Center's Remote Control Session utility was developed and licensed with permission
from CrossLoop (<a href=http://www.crossloop.com target = new>www.crossloop.com</a>).

<P>This remote control program simplifies the process of securely working with clients located in different
physical locations and across different network environments.
CrossLoop enables you to see the screen and control the mouse and keyboard on a remote computer.
It is as if you are working side by side at the same PC.


<P>
You can get up and running with CrossLoop in under 2 minutes.
Simply download and install the application and it will automatically configure itself to your network environment.
<P>
<B>PC Requirements:</b><Br>

<P>
CrossLoop requires Windows 2000 or newer, including Vista; 128 MB RAM or greater; 2 MB hard drive space and a broadband internet connection

<P>

<B> Basic Steps to running the Remote Control Session</b>:
<UL>
<LI> Step 1: Download and install the CrossLoop utility on your computer
<LI> Step 2: Have your client also click on the Remote Control Session page from the Customer+Center application
and have them download and install CrossLoop on their computer.
<LI> Step 3: Launch your crossloop utility once your client is ready to go.
<LI> Step 4: Have your client share the access codes to enable their PC to share with your CrossLoop application.

</ul>

<B> Detailed Steps </b>:

<ul>

<LI> Step 1:

Click on one of the two links below to download the Remote Control utility from your own support organization or
from CrossLoop.
<P>


<a href = "/<%=WCLanguageDirectory%>/CrossLoopSetup_ISSINC.exe"> Click here to download from your support organization's website</a>


<br><br>

OR

<br>


<a href = "http://download.crossloop.com/Distro/ISSINC/CrossLoopSetup_ISSINC.exe"> Click here to download from CrossLoop</a>

<br>
<br>

<LI> Step 2: When the cross loop download begins, click "Run" in each of the windows that appear.
<br>
<br>

<Center>

<img src="/<%=WCLanguageDirectory%>/remotecontroldownload1.jpg">
</center>
<br>
<br>
<Center>

<img src="/<%=WCLanguageDirectory%>/remotecontroldownload2.jpg">
</center>
<br>
<br>
<Center>

<img src="/<%=WCLanguageDirectory%>/remotecontroldownload3.jpg">
</center>
<br>
<br>


<LI> Step 3: Select the appropriate language to use during installation.
<br>
<br>
<Center>

<img src="/<%=WCLanguageDirectory%>/remotecontroldownload4.jpg">
</center>
<br>
<br>

<LI> Step 4: Click Next on the Setup Dialog box page.
<br>
<br>
<Center>

<img src="/<%=WCLanguageDirectory%>/remotecontroldownload5.jpg">
</center>
<br>
<br>

<LI> Step 5: Accept the License Agreement and press Next.

<LI> Step 6: Select additional task as needed such as desktop icon and quick launch.


<LI> Step 7: Click Finish to complete your installation.
<br>
<br>

<Center>

<img src="/<%=WCLanguageDirectory%>/remotecontroldownload6.jpg">
</center>
<br>
<br>

<LI> Step 8: It will automatically launch CrossLoop on your computer.  The first option it will ask you if you
have a CrossLoop account.  You can create an account, Login if you have an existing account or
your can click the <b>Skip</b> link in the bottom right hand corner.  A CrossLoop account <B>IS NOT </b>
necessary to use the remote control utility.
<br>
<br>

<Center>

<img src="/<%=WCLanguageDirectory%>/remotecontroldownload8.jpg">
</center>
<br>
<br>


<LI> Step 9: The CrossLoop remote control application will appear with two tabs labeled "Access" and "Share".
To access your client's PC desktop, have your user you wish to connect to click on their <B>Share</b> Tab.
Once they have clicked on the Share tab, the customer must tell the technician the <B>Access Code</b> on the
the customer's Share screen. This access code is randomly generated each time the application is
launched providing a more secure and permission based session.  This must be communicated by phone, email, or text chat.

The Technician clicks on the <B>Access</b> Tab and enters his/her own name in the <B>Name</b> field and then
enters the Access code provided by the customer.


<br>
<br>


<Center>

<img src="/<%=WCLanguageDirectory%>/remotecontroldownload14.jpg">
</center>
<br>

<br>
<br>


<LI> Step 10: Once you have entered the Access Code provided by the customer, then press Connect when
you are both ready to initiate a remote session.
<Br>
<br>



<LI> Step 11: The customer will be presented a dialog box to confirm your remote connection to them that they must
confirm before you will be able to see their desktop.  Once connected, you can control the mouse / keyboard for their desktop
or they can also control the mouse/keyboard.


<br>
<br>

<Center>

<img src="/<%=WCLanguageDirectory%>/remotecontroldownload12.jpg">
</center>
<br>
<br>
<LI> Step 12: The remote session can be terminated by either side by clicking on the red <B>Disconnect</b> button.

<br>
<br>
<Center>

<img src="/<%=WCLanguageDirectory%>/remotecontroldownload13.jpg">
</center>

<br>
<br>
<I> Note: You may encounter an "Windows Security Alert" when you try and launch this program that
may prevent it from running or enabling all of its features.  Simply click the <B>Unblock</b> button to allow this
program to run.</I>
<br>
<br>
<Center>
<img src="/<%=WCLanguageDirectory%>/alertbox.jpg">
</center>

<br>
<br>


<LI> Step 13:  If you experience problems connecting, please visit the CrossLoop resources which include information
on common firewall blocking application and the other error messages.

	<UL>
	<LI> <a href=http://www.crossloop.com/pdf/CrossLoopGettingStartedGuide03202008.pdf> CrossLoop Getting Started Guide (PDF)</a>
	<LI> <a href=http://www.crossloop.com/ipage.htm?id=howitworks>How it works technical information</a>
	</ul>

</ul>


		</td></tr>
		</table>
		</center>





</td>
</tr>
</table>

</form>

</body>
</html>

<% End If %>
